Bug 69722 - UUCP appears to fail when used as a SMTP transport when the "From:" user has one or more white spaces in their name.
UUCP appears to fail when used as a SMTP transport when the "From:" user has ...
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: uucp (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-24 15:46 EDT by Shane R. Stixrud
Modified: 2007-04-18 12:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:17:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shane R. Stixrud 2002-07-24 15:46:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
When a calling UUCP client connects to a UUCP receiver and attempts to 
download E-mail from a sendmail queue, any messages "From:" a E-mail address 
which contains one or more white spaces will fail with the following errors:

Message from UUCP on b2b-inft1 Mon Jul 22 08:17:03 2002

A UUCP execution request failed:
	imark" 0 rmail CONNIE.RODRIGUEZ@VMMC.ORG 
The request was made by
	inet-inft1!attendeereply.net!"Oracle
The following files have been saved:
	/var/spool/uucp/.Failed/inet-inft1/X./X.inet-inCDDXK
	/var/spool/uucp/.Failed/inet-inft1/D./D.inet-inCDDXK

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Setup sendmail to queue all in bound E-mail to a UUCP system.
2. Send a E-mail where the sending address contains a white space 
example: "Bob Smith"@redhat.com.
3. Use uucico to call the E-mail system with the queued E-mail.  This message 
will be downloaded, but then will fail to process the message for delivery, 
logging the erorr to postmaster.
	

Actual Results:  A UUCP execution request failed:
	imark" 0 rmail CONNIE.RODRIGUEZ@VMMC.ORG 
The request was made by
	inet-inft1!attendeereply.net!"Oracle
The following files have been saved:
	/var/spool/uucp/.Failed/inet-inft1/X./X.inet-inCDDXK
	/var/spool/uucp/.Failed/inet-inft1/D./D.inet-inCDDXK

Expected Results:  For the E-mail to be processed normally.

Additional info:
Comment 1 Bill Huang 2002-07-25 00:00:50 EDT
I don't think uucp's behaviour is incorrect.Sendmail or other AMTP server can
not handle your email address like "Bob Smith"@redhat.com.The email address is
illegal.
Comment 2 Shane R. Stixrud 2002-07-26 15:28:27 EDT
The E-mail addresses in question are not "Bob Smith"@redhat.com but rather 
Bob smith@redhat.com.  Further more our UUCP servers are 1 server back 
from our external SMTP (sendmail servers) and the external servers process 
the E-mail addresses as valid, passing routing them back to our internal 
servers.  

Also, on a semi related note does Redhat have a seperate bug reporting 
system for its enterprise support customers or is bugzilla.redhat.com 
still the right place for me to report problems?

Thanks.
Comment 3 Jens Petersen 2002-08-12 03:47:02 EDT
Yes, reported it here is fine, thanks.  (If you have a TAO/IssueTracker
then of course you are welcome to raise the issue with them also.)
Comment 4 Bill Nottingham 2006-08-04 23:10:59 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2006-10-18 10:17:34 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.